Page MenuHomePhabricator

build_llvm_package.bat: Produce zip files in addition to the installers
ClosedPublic

Authored by hans on Feb 20 2020, 5:38 AM.

Details

Summary

Now that the Windows installer no longer does anything besides self-extract, maybe it would make sense to distribute the toolchain as a plain zip file instead, or in addition to the current installer?

Diff Detail

Event Timeline

hans created this revision.Feb 20 2020, 5:38 AM
Herald added a project: Restricted Project. · View Herald Transcript
thakis added inline comments.Feb 20 2020, 6:45 AM
llvm/utils/release/build_llvm_package.bat
98

I'm not familiar with this script, but rather than "create installer, then unpack it, remove some stuff, repack" would it make more sense to have "create archive with just the stuff we want to be in the archive, then unpack that and add files we need for installer" as the overall flow?

Then you could also use the "7za" executable, which I believe has fewer deps (at least it was easier to use in chromium/win cross builds).

hans marked an inline comment as done.Feb 20 2020, 6:53 AM
hans added inline comments.
llvm/utils/release/build_llvm_package.bat
98

I think there's no easy way to do the "add files we need for installer" step though. The installer is generated with a lot of cmake, so it's easier to do it in this order.

hans added a comment.Feb 24 2020, 7:36 AM

Any other comments?

rnk accepted this revision.Feb 24 2020, 11:13 AM

lgtm

Getting CMake to make the zip archive would be nice, but it's not a requirement.

This revision is now accepted and ready to land.Feb 24 2020, 11:13 AM
hans added a comment.Feb 25 2020, 3:11 AM

Getting CMake to make the zip archive would be nice, but it's not a requirement.

I think it could, but not in the same build where it's configured to create the nsis installer. Repacking like this saves a lot of time.

This revision was automatically updated to reflect the committed changes.